package jp.gihyo.mitoma.android.s1602listview;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ListView listView = findViewById(R.id.lvFriends);
        // データ取得
        FriendsDS friendsDS = FriendsDS.getInstance();
        ArrayList<FriendsDTO> friendsList = friendsDS.select();
        // ArrayList変換
        ArrayList<String> stringList = new ArrayList<>();
        for(FriendsDTO dto:friendsList){
            stringList.add(dto.id + "　" + dto.name);
        }
        // アダプタ生成とListViewへのセット(カスタムレイアウト使用)
        ArrayAdapter<String> adapter = new ArrayAdapter<>(
                this,R.layout.custom_layout01,stringList);
        listView.setAdapter(adapter);

    }
}